Name:           python-enum34
Version:        1.0.4
Release:        %mkrel 2
Group:          Development/Python
Summary:        Backport of Python 3.4 Enum
License:        BSD
BuildArch:      noarch
URL:            https://pypi.python.org/pypi/enum34
Source0:        https://pypi.python.org/packages/source/e/enum34/enum34-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
Python 3.4 introduced official support for enumerations.  This is a
backport of that feature to Python 3.3, 3.2, 3.1, 2.7, 2.5, 2.5, and 2.4.

An enumeration is a set of symbolic names (members) bound to unique,
constant values. Within an enumeration, the members can be compared by
identity, and the enumeration itself can be iterated over.

This module defines two enumeration classes that can be used to define
unique sets of names and values: Enum and IntEnum. It also defines one
decorator, unique, that ensures only unique member names are present
in an enumeration.


%prep
%setup -q -n enum34-%{version}


%build
%{__python} setup.py build

%check
pushd %{buildroot}/%{python_sitelib}
%{__python} enum/test_enum.py
popd


%install
%{__python} setup.py install --skip-build --root %{buildroot}
# remove docs from sitelib, we'll put them in doc dir instead
rm -rf %{buildroot}%{python_sitelib}/enum/{LICENSE,README,doc}


%files
%doc PKG-INFO enum/LICENSE enum/README enum/doc/enum.rst
%{python_sitelib}/*


%changelog
* Tue May 23 2017 bb2 <bb2> 1.0.4-2pclos2017
- rebuild for 2017
